{"title":"Get salesQuotes (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_salesquote_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a sales quote object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get salesQuotes (v1.0)","slug":"get-salesquotes-v10","at":0,"chars":2131},{"level":2,"title":"HTTP request","slug":"http-request","at":113,"chars":210},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":323,"chars":79},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":402,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":471,"chars":130},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":601,"chars":1245},{"level":2,"title":"Related information","slug":"related-information","at":1846,"chars":285}],"text":"# Get salesQuotes (v1.0)\nRetrieve the properties and relationships of a sales quote object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesQuotes({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a salesQuotes object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/salesQuotes({id})\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"number\": \"1006\",\n  \"externalDocumentNumber\": \"\",\n  \"documentDate\": \"2019-01-24\",\n  \"dueDate\": \"2019-01-24\",\n  \"customerId\": \"customerId-value\",\n  \"contactId\": \"\",\n  \"customerNumber\": \"10000\",\n  \"customerName\": \"Coho Winery\",\n  \"billingPostalAddress\": {\n    \"street\": \"\",\n    \"city\": \"\",\n    \"state\": \"\",\n    \"countryLetterCode\": \"\",\n    \"postalCode\": \"\"\n  },\n  \"currencyId\": \"currencyId-value\",\n  \"currencyCode\": \"GBP\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\",\n  \"shipmentMethodId\": \"shipmentMethodId-value\",\n  \"shipmentMethod\": \"EXW\",\n  \"salesperson\": \"\",\n  \"discountAmount\": 0,\n  \"totalAmountExcludingTax\": 6825.6,\n  \"totalTaxAmount\": 682.56,\n  \"totalAmountIncludingTax\": 7508.16,\n  \"status\": \"Open\",\n  \"sentDate\": \"0001-01-01T00:00:00Z\",\n  \"validUntilDate\": \"2019-01-24\",\n  \"acceptedDate\": \"2019-01-24\",\n  \"lastModifiedDateTime\": \"2017-03-17T19:02:22.043Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\nSales Quote<../resources/dynamics_salesquote>\nCreate Sales Quote<dynamics_create_salesquote>\nUpdate Sales Quote<dynamics_salesquote_update>\nDelete Sales Quote<dynamics_salesquote_delete>"}